## org.apache.taglibs.standard.tag.rt.core
Class ForTokensTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.jstl.core.LoopTagSupport
              org.apache.taglibs.standard.tag.common.core.ForTokensSupport
                  org.apache.taglibs.standard.tag.rt.core.ForTokensTag

All Implemented Interfaces:
  Serializable, LoopTag, IterationTag, JspTag, Tag, TryCatchFinally

    public class ForTokensTag

extends ForTokensSupport
implements LoopTag, IterationTag

A handler for <forTokens> that supports rtexprvalue-based attributes.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.core.ForTokensSupport
`delims, items, st`

Fields inherited from class javax.servlet.jsp.jstl.core.LoopTagSupport
`begin, beginSpecified, deferredExpression, end, endSpecified, itemId, statusId, step, stepSpecified`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ForTokensTag()`

Method Summary
`void` `setBegin(int begin)`
`void` `setDelims(String s)`
`void` `setEnd(int end)`
`void` `setItems(Object s)`
`void` `setStep(int step)`

Methods inherited from class org.apache.taglibs.standard.tag.common.core.ForTokensSupport
`getDelims, hasNext, next, prepare, release`

Methods inherited from class javax.servlet.jsp.jstl.core.LoopTagSupport
`doAfterBody, doCatch, doFinally, doStartTag, getCurrent, getLoopStatus, setVar, setVarStatus, validateBegin, validateEnd, validateStep`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.jstl.core.LoopTag
`getCurrent, getLoopStatus`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, release, setPageContext, setParent`

Methods inherited from interface javax.servlet.jsp.tagext.IterationTag
`doAfterBody`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, release, setPageContext, setParent`

Constructor Detail

### ForTokensTag

    public ForTokensTag()

Method Detail

### setBegin

    public void setBegin(int begin)
                  throws JspTagException

  Throws:
    `JspTagException`

### setEnd

    public void setEnd(int end)
                throws JspTagException

  Throws:
    `JspTagException`

### setStep

    public void setStep(int step)
                 throws JspTagException

  Throws:
    `JspTagException`

### setItems

    public void setItems(Object s)
                  throws JspTagException

  Throws:
    `JspTagException`

### setDelims

    public void setDelims(String s)
                   throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.